Index: squid/src/defines.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/defines.h,v
retrieving revision 1.1.1.3.4.2.2.6
retrieving revision 1.1.1.3.4.2.2.7
diff -u -r1.1.1.3.4.2.2.6 -r1.1.1.3.4.2.2.7
--- squid/src/defines.h	1 Nov 2001 17:31:07 -0000	1.1.1.3.4.2.2.6
+++ squid/src/defines.h	30 Apr 2002 17:21:49 -0000	1.1.1.3.4.2.2.7
@@ -1,6 +1,6 @@
 
 /*
- * $Id: defines.h,v 1.1.1.3.4.2.2.6 2001/11/01 17:31:07 serassio Exp $
+ * $Id: defines.h,v 1.1.1.3.4.2.2.7 2002/04/30 17:21:49 serassio Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -240,28 +240,16 @@
 /*
  * Max number of ICP messages to receive per call to icpHandleUdp
  */
-#ifdef _SQUID_MSWIN_
-#define INCOMING_ICP_MAX 1
-#else
 #define INCOMING_ICP_MAX 15
-#endif
 /*
  * Max number of DNS messages to receive per call to DNS read handler
  */
-#ifdef _SQUID_MSWIN_
-#define INCOMING_DNS_MAX 1
-#else
 #define INCOMING_DNS_MAX 15
-#endif
 /*
  * Max number of HTTP connections to accept per call to httpAccept
  * and PER HTTP PORT
  */
-#ifdef _SQUID_MSWIN_
-#define INCOMING_HTTP_MAX 1
-#else
 #define INCOMING_HTTP_MAX 10
-#endif
 #define INCOMING_TOTAL_MAX (INCOMING_ICP_MAX+INCOMING_HTTP_MAX)
 
 /*
Index: squid/src/delay_pools.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/delay_pools.c,v
retrieving revision 1.1.1.3.4.2.2.3
retrieving revision 1.1.1.3.4.2.2.4
diff -u -r1.1.1.3.4.2.2.3 -r1.1.1.3.4.2.2.4
--- squid/src/delay_pools.c	3 Feb 2002 15:15:35 -0000	1.1.1.3.4.2.2.3
+++ squid/src/delay_pools.c	30 Apr 2002 17:21:49 -0000	1.1.1.3.4.2.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: delay_pools.c,v 1.1.1.3.4.2.2.3 2002/02/03 15:15:35 serassio Exp $
+ * $Id: delay_pools.c,v 1.1.1.3.4.2.2.4 2002/04/30 17:21:49 serassio Exp $
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: David Luyer <luyer@ucs.uwa.edu.au>
@@ -283,13 +283,13 @@
 void
 delaySetNoDelay(int fd)
 {
-    FD_SET((SOCKET) fd, &delay_no_delay);
+    FD_SET(fd, &delay_no_delay);
 }
 
 void
 delayClearNoDelay(int fd)
 {
-    FD_CLR((SOCKET) fd, &delay_no_delay);
+    FD_CLR(fd, &delay_no_delay);
 }
 
 int
Index: squid/src/disk.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/disk.c,v
retrieving revision 1.1.1.3.4.1.2.7
retrieving revision 1.1.1.3.4.1.2.8
diff -u -r1.1.1.3.4.1.2.7 -r1.1.1.3.4.1.2.8
--- squid/src/disk.c	8 Sep 2001 09:36:19 -0000	1.1.1.3.4.1.2.7
+++ squid/src/disk.c	30 Apr 2002 17:21:49 -0000	1.1.1.3.4.1.2.8
@@ -1,6 +1,6 @@
 
 /*
- * $Id: disk.c,v 1.1.1.3.4.1.2.7 2001/09/08 09:36:19 serassio Exp $
+ * $Id: disk.c,v 1.1.1.3.4.1.2.8 2002/04/30 17:21:49 serassio Exp $
  *
  * DEBUG: section 6     Disk I/O Routines
  * AUTHOR: Harvest Derived
@@ -61,8 +61,8 @@
 {
     int fd;
 #ifdef _SQUID_MSWIN_ 
-	char fmode[4]="";
-	FILE * fbuf;
+    char fmode[4]="";
+    FILE * fbuf;
 #endif
 
     if (mode & O_WRONLY)
@@ -78,7 +78,7 @@
 	}
 	else
 	    strcpy(fmode,"rb");
-	fbuf=fopen(path,fmode);
+    fbuf = fopen(path,fmode);
     fd = (fbuf != NULL) ? fileno(fbuf) : -1;
 #else
     mode |= SQUID_NONBLOCK;
@@ -436,26 +436,3 @@
     cbdataLock(client_data);
     diskHandleRead(fd, ctrl_dat);
 }
-
-#ifdef _SQUID_MSWIN_
-int
-ignoreErrno(int ierrno)
-{
-    switch (ierrno) {
-    case EINPROGRESS:
-    case EWOULDBLOCK:
-#if EAGAIN != EWOULDBLOCK
-    case EAGAIN:
-#endif
-    case EALREADY:
-    case EINTR:
-#ifdef ERESTART
-    case ERESTART:
-#endif
-	return 1;
-    default:
-	return 0;
-    }
-    /* NOTREACHED */
-}
-#endif
Index: squid/src/dns_internal.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/dns_internal.c,v
retrieving revision 1.1.1.1.4.6.2.9
retrieving revision 1.1.1.1.4.6.2.10
diff -u -r1.1.1.1.4.6.2.9 -r1.1.1.1.4.6.2.10
--- squid/src/dns_internal.c	27 Jan 2002 18:38:40 -0000	1.1.1.1.4.6.2.9
+++ squid/src/dns_internal.c	30 Apr 2002 17:21:49 -0000	1.1.1.1.4.6.2.10
@@ -1,6 +1,6 @@
 
 /*
- * $Id: dns_internal.c,v 1.1.1.1.4.6.2.9 2002/01/27 18:38:40 serassio Exp $
+ * $Id: dns_internal.c,v 1.1.1.1.4.6.2.10 2002/04/30 17:21:49 serassio Exp $
  *
  * DEBUG: section 78    DNS lookups; interacts with lib/rfc1035.c
  * AUTHOR: Duane Wessels
@@ -390,11 +390,7 @@
 	q->sz);
     if (x < 0) {
 	debug(50, 1) ("idnsSendQuery: FD %d: sendto: %s\n",
-#ifdef _SQUID_MSWIN_
-	    DnsSocket, wsastrerror(errno));
-#else
 	    DnsSocket, xstrerror());
-#endif
     } else {
 	fd_bytes(DnsSocket, x, FD_WRITE);
 	commSetSelect(DnsSocket, COMM_SELECT_READ, idnsRead, NULL, 0);
@@ -510,11 +506,7 @@
 	    if (errno != ECONNREFUSED && errno != EHOSTUNREACH)
 #endif
 		debug(50, 1) ("idnsRead: FD %d recvfrom: %s\n",
-#ifdef _SQUID_MSWIN_
-		    fd, wsastrerror(WSAGetLastError()));
-#else
 		    fd, xstrerror());
-#endif
 	    break;
 	}
 	fd_bytes(DnsSocket, len, FD_READ);
Index: squid/src/errorpage.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/errorpage.c,v
retrieving revision 1.1.1.3.4.3.2.3
retrieving revision 1.1.1.3.4.3.2.4
diff -u -r1.1.1.3.4.3.2.3 -r1.1.1.3.4.3.2.4
--- squid/src/errorpage.c	6 Jan 2002 13:48:40 -0000	1.1.1.3.4.3.2.3
+++ squid/src/errorpage.c	30 Apr 2002 17:21:49 -0000	1.1.1.3.4.3.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: errorpage.c,v 1.1.1.3.4.3.2.3 2002/01/06 13:48:40 serassio Exp $
+ * $Id: errorpage.c,v 1.1.1.3.4.3.2.4 2002/04/30 17:21:49 serassio Exp $
  *
  * DEBUG: section 4     Error Generation
  * AUTHOR: Duane Wessels
@@ -440,11 +440,7 @@
 	break;
     case 'E':
 	if (err->xerrno)
-#ifdef _SQUID_MSWIN_
-	    memBufPrintf(&mb, "%s", wsastrerror(err->xerrno));
-#else
 	    memBufPrintf(&mb, "(%d) %s", err->xerrno, strerror(err->xerrno));
-#endif
 	else
 	    memBufPrintf(&mb, "[No Error]");
 	break;
Index: squid/src/fd.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fd.c,v
retrieving revision 1.1.1.3.4.1.2.6
retrieving revision 1.1.1.3.4.1.2.7
diff -u -r1.1.1.3.4.1.2.6 -r1.1.1.3.4.1.2.7
--- squid/src/fd.c	23 Feb 2002 21:41:03 -0000	1.1.1.3.4.1.2.6
+++ squid/src/fd.c	30 Apr 2002 17:21:49 -0000	1.1.1.3.4.1.2.7
@@ -1,6 +1,6 @@
 
 /*
- * $Id: fd.c,v 1.1.1.3.4.1.2.6 2002/02/23 21:41:03 serassio Exp $
+ * $Id: fd.c,v 1.1.1.3.4.1.2.7 2002/04/30 17:21:49 serassio Exp $
  *
  * DEBUG: section 51    Filedescriptor Functions
  * AUTHOR: Duane Wessels
@@ -45,99 +45,6 @@
     "Unknown"
 };
 
-#ifdef _SQUID_MSWIN_
-static void
-sdUpdateBiggest(int fd,  int opening)
-{
-    if (fd < Biggest_SD)
-	return;
-    assert(fd < Squid_MaxFD);
-    if (fd > Biggest_SD) {
-	/*
-	 * assert that we are not closing a FD bigger than
-	 * our known biggest FD
-	 */
-	assert(opening);
-	Biggest_SD = fd;
-	return;
-    }
-    /* if we are here, then fd == Biggest_FD */
-    /*
-     * assert that we are closing the biggest FD; we can't be
-     * re-opening it
-     */
-    assert(!opening);
-    while (!sd_table[Biggest_SD].flags.open && Biggest_SD)
-	Biggest_SD--;
-    debug(51, 2) ("sdUpdateBiggest: %d\n",Biggest_SD);
-}
-
-void
-sd_close(int fd)
-{
-    sde *F = &sd_table[fd];
-    if (F->type == FD_FILE) {
-	assert(F->read_handler == NULL);
-	assert(F->write_handler == NULL);
-    }
-    debug(51, 3) ("sd_close FD %d %s\n", fd, F->desc);
-    F->flags.open = 0;
-    sdUpdateBiggest(fd, 0);
-    Number_SD--;
-    commUpdateReadBitsS(fd, NULL);
-    commUpdateWriteBitsS(fd, NULL);
-    memset(F, '\0', sizeof(sde));
-    F->timeout = 0;
-}
-
-void
-sd_open(int fd, unsigned int type, const char *desc)
-{
-    sde *F;
-    assert(fd >= 0);
-    F = &sd_table[fd];
-#if USE_ASYNC_IO
-    if (F->flags.closing) {
-	/* Reuse of a closed FD before we have noticed it is closed */
-	sd_close(fd);
-    }
-#endif
-    if (F->flags.open) {
-	debug(51, 1) ("WARNING: Closing open SD %4d\n", fd);
-	sd_close(fd);
-    }
-    assert(!F->flags.open);
-    debug(51, 3) ("sd_open SD %d %s\n", fd, desc);
-    F->type = type;
-    F->flags.open = 1;
-    sdUpdateBiggest(fd, 1);
-    if (desc)
-	xstrncpy(F->desc, desc, FD_DESC_SZ);
-    Number_SD++;
-}
-
-void
-sd_note(int fd, const char *s)
-{
-    sde *F = &sd_table[fd];
-    xstrncpy(F->desc, s, FD_DESC_SZ);
-}
-
-void
-sd_bytes(int fd, int len, unsigned int type)
-{
-    sde *F = &sd_table[fd];
-    if (len < 0)
-	return;
-    assert(type == FD_READ || type == FD_WRITE);
-    if (type == FD_READ)
-	F->bytes_read += len;
-    else
-	F->bytes_written += len;
-}
-
-#endif
-
 static void fdUpdateBiggest(int fd, int);
 
 static void
@@ -161,11 +68,7 @@
      * re-opening it
      */
     assert(!opening);
-#ifdef _SQUID_MSWIN_
-    while (!fd_table[Biggest_FD].flags.open && Biggest_FD)
-#else
     while (!fd_table[Biggest_FD].flags.open)
-#endif
 	Biggest_FD--;
 }
 
@@ -237,9 +140,6 @@
 fdFreeMemory(void)
 {
     safe_free(fd_table);
-#ifdef _SQUID_MSWIN_
-    safe_free(sd_table);
-#endif
 }
 
 void
Index: squid/src/forward.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/forward.c,v
retrieving revision 1.1.1.3.4.1.2.6
retrieving revision 1.1.1.3.4.1.2.7
diff -u -r1.1.1.3.4.1.2.6 -r1.1.1.3.4.1.2.7
--- squid/src/forward.c	10 Feb 2002 17:55:56 -0000	1.1.1.3.4.1.2.6
+++ squid/src/forward.c	30 Apr 2002 17:21:49 -0000	1.1.1.3.4.1.2.7
@@ -1,6 +1,6 @@
 
 /*
- * $Id: forward.c,v 1.1.1.3.4.1.2.6 2002/02/10 17:55:56 serassio Exp $
+ * $Id: forward.c,v 1.1.1.3.4.1.2.7 2002/04/30 17:21:49 serassio Exp $
  *
  * DEBUG: section 17    Request Forwarding
  * AUTHOR: Duane Wessels
@@ -439,16 +439,6 @@
 	    return;
 	}
     }
-    if (check_offline()) {
-	/*
-	 * Check if we're in offline mode
-	 */
-	err = errorCon(ERR_CANNOT_FORWARD, HTTP_SERVICE_UNAVAILABLE);
-	err->request = requestLink(r);
-	err->src_addr = r->client_addr;
-	errorAppendEntry(e, err);
-	return;
-    }
     debug(17, 3) ("fwdStart: '%s'\n", storeUrl(e));
     e->mem_obj->request = requestLink(r);
     e->mem_obj->fd = fd;
Index: squid/src/fqdncache.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fqdncache.c,v
retrieving revision 1.1.1.3.4.1.2.2
retrieving revision 1.1.1.3.4.1.2.3
diff -u -r1.1.1.3.4.1.2.2 -r1.1.1.3.4.1.2.3
--- squid/src/fqdncache.c	10 Feb 2002 17:55:57 -0000	1.1.1.3.4.1.2.2
+++ squid/src/fqdncache.c	30 Apr 2002 17:21:49 -0000	1.1.1.3.4.1.2.3
@@ -1,7 +1,7 @@
 
 
 /*
- * $Id: fqdncache.c,v 1.1.1.3.4.1.2.2 2002/02/10 17:55:57 serassio Exp $
+ * $Id: fqdncache.c,v 1.1.1.3.4.1.2.3 2002/04/30 17:21:49 serassio Exp $
  *
  * DEBUG: section 35    FQDN Cache
  * AUTHOR: Harvest Derived
@@ -123,8 +123,6 @@
 static int
 fqdncacheExpiredEntry(const fqdncache_entry * f)
 {
-    if(check_offline())
-	return 0; /* In offline mode, don't expire cached entries */
     if (f->status == FQDN_PENDING)
 	return 0;
     if (f->status == FQDN_DISPATCHED)
@@ -199,10 +197,7 @@
     if (hp)
 	fqdncacheAddHostent(f, hp);
     f->status = status;
-    if(check_offline())
-	f->lastref = 0;	/* Expires instantly when we go online */
-    else
-	f->lastref = squid_curtime;
+    f->lastref = squid_curtime;
     return f;
 }
 
@@ -391,15 +386,6 @@
     }
     if (f == NULL) {
 	/* MISS: No entry, create the new one */
-	if(check_offline())
-	{
-	    struct hostent he={ (char *)name,NULL,0,0,NULL};
-	    /* Fake it */
-	    f = fqdncacheAddNew(name,&he,FQDN_CACHED);
-	    fqdncacheAddPending(f, handler, handlerData);
-	    fqdncache_call_pending(f);
-	    return;
-	}
 	debug(35, 5) ("fqdncache_nbgethostbyaddr: MISS for '%s'\n", name);
 	FqdncacheStats.misses++;
 	f = fqdncacheAddNew(name, NULL, FQDN_PENDING);
Index: squid/src/ftp.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/ftp.c,v
retrieving revision 1.1.1.3.4.3.2.9
retrieving revision 1.1.1.3.4.3.2.10
diff -u -r1.1.1.3.4.3.2.9 -r1.1.1.3.4.3.2.10
--- squid/src/ftp.c	3 Mar 2002 10:39:43 -0000	1.1.1.3.4.3.2.9
+++ squid/src/ftp.c	30 Apr 2002 17:21:49 -0000	1.1.1.3.4.3.2.10
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ftp.c,v 1.1.1.3.4.3.2.9 2002/03/03 10:39:43 serassio Exp $
+ * $Id: ftp.c,v 1.1.1.3.4.3.2.10 2002/04/30 17:21:49 serassio Exp $
  *
  * DEBUG: section 9     File Transfer Protocol (FTP)
  * AUTHOR: Harvest Derived
@@ -880,11 +880,7 @@
 #endif
     memset(ftpState->data.buf + ftpState->data.offset, '\0', read_sz);
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    len = recv(fd, ftpState->data.buf + ftpState->data.offset, read_sz);
-#else
     len = read(fd, ftpState->data.buf + ftpState->data.offset, read_sz);
-#endif
     if (len > 0) {
 	fd_bytes(fd, len, FD_READ);
 #if DELAY_POOLS
@@ -1248,15 +1244,9 @@
     }
     assert(ftpState->ctrl.offset < ftpState->ctrl.size);
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    len = recv(fd,
-	ftpState->ctrl.buf + ftpState->ctrl.offset,
-	ftpState->ctrl.size - ftpState->ctrl.offset);
-#else
     len = read(fd,
 	ftpState->ctrl.buf + ftpState->ctrl.offset,
 	ftpState->ctrl.size - ftpState->ctrl.offset);
-#endif
     if (len > 0) {
 	fd_bytes(fd, len, FD_READ);
 	kb_incr(&Counter.server.all.kbytes_in, len);
Index: squid/src/globals.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/globals.h,v
retrieving revision 1.1.1.3.4.2.2.6
retrieving revision 1.1.1.3.4.2.2.7
diff -u -r1.1.1.3.4.2.2.6 -r1.1.1.3.4.2.2.7
--- squid/src/globals.h	6 Jan 2002 11:00:05 -0000	1.1.1.3.4.2.2.6
+++ squid/src/globals.h	30 Apr 2002 17:21:50 -0000	1.1.1.3.4.2.2.7
@@ -1,6 +1,6 @@
 
 /*
- * $Id: globals.h,v 1.1.1.3.4.2.2.6 2002/01/06 11:00:05 serassio Exp $
+ * $Id: globals.h,v 1.1.1.3.4.2.2.7 2002/04/30 17:21:50 serassio Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -63,11 +63,6 @@
 extern const char *storeStatusStr[];
 extern const char *swapStatusStr[];
 extern dnsStatData DnsStats;
-#ifdef _SQUID_MSWIN_
-extern sde *sd_table;		/* NULL */
-extern int Biggest_SD;		/* 0 */
-extern int Number_SD;		/* 0 */
-#endif
 extern fde *fd_table;		/* NULL */
 extern int Biggest_FD;		/* -1 */
 extern int Number_FD;		/* 0 */
Index: squid/src/gopher.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/gopher.c,v
retrieving revision 1.1.1.3.4.2.2.2
retrieving revision 1.1.1.3.4.2.2.3
diff -u -r1.1.1.3.4.2.2.2 -r1.1.1.3.4.2.2.3
--- squid/src/gopher.c	10 Sep 2001 20:25:56 -0000	1.1.1.3.4.2.2.2
+++ squid/src/gopher.c	30 Apr 2002 17:21:50 -0000	1.1.1.3.4.2.2.3
@@ -1,7 +1,7 @@
 
 
 /*
- * $Id: gopher.c,v 1.1.1.3.4.2.2.2 2001/09/10 20:25:56 serassio Exp $
+ * $Id: gopher.c,v 1.1.1.3.4.2.2.3 2002/04/30 17:21:50 serassio Exp $
  *
  * DEBUG: section 10    Gopher
  * AUTHOR: Harvest Derived
@@ -614,11 +614,7 @@
 #endif
     /* leave one space for \0 in gopherToHTML */
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    len = recv(fd, buf, read_sz);
-#else
     len = read(fd, buf, read_sz);
-#endif
     if (len > 0) {
 	fd_bytes(fd, len, FD_READ);
 #if DELAY_POOLS
Index: squid/src/helper.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/helper.c,v
retrieving revision 1.1.1.3.24.1
retrieving revision 1.1.1.3.24.2
diff -u -r1.1.1.3.24.1 -r1.1.1.3.24.2
--- squid/src/helper.c	6 Jan 2001 12:40:14 -0000	1.1.1.3.24.1
+++ squid/src/helper.c	30 Apr 2002 17:21:50 -0000	1.1.1.3.24.2
@@ -253,11 +253,7 @@
     assert(fd == srv->rfd);
     assert(cbdataValid(data));
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    len = recv(fd, srv->buf + srv->offset, srv->buf_sz - srv->offset);
-#else
     len = read(fd, srv->buf + srv->offset, srv->buf_sz - srv->offset);
-#endif
     fd_bytes(fd, len, FD_READ);
     debug(29, 5) ("helperHandleRead: %d bytes from %s #%d.\n",
 	len, hlp->id_name, srv->index + 1);
Index: squid/src/http.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/http.c,v
retrieving revision 1.1.1.3.4.3.2.4
retrieving revision 1.1.1.3.4.3.2.5
diff -u -r1.1.1.3.4.3.2.4 -r1.1.1.3.4.3.2.5
--- squid/src/http.c	10 Sep 2001 20:25:56 -0000	1.1.1.3.4.3.2.4
+++ squid/src/http.c	30 Apr 2002 17:21:50 -0000	1.1.1.3.4.3.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: http.c,v 1.1.1.3.4.3.2.4 2001/09/10 20:25:56 serassio Exp $
+ * $Id: http.c,v 1.1.1.3.4.3.2.5 2002/04/30 17:21:50 serassio Exp $
  *
  * DEBUG: section 11    Hypertext Transfer Protocol (HTTP)
  * AUTHOR: Harvest Derived
@@ -479,12 +479,7 @@
     read_sz = delayBytesWanted(delay_id, 1, read_sz);
 #endif
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    len = recv(fd, buf, read_sz);
-    errno = WSAGetLastError();
-#else
     len = read(fd, buf, read_sz);
-#endif
     debug(11, 5) ("httpReadReply: FD %d: len %d.\n", fd, len);
     if (len > 0) {
 	fd_bytes(fd, len, FD_READ);
@@ -511,11 +506,7 @@
     }
     if (len < 0) {
 	debug(50, 2) ("httpReadReply: FD %d: read failure: %s.\n",
-#ifdef _SQUID_MSWIN_
 	    fd, xstrerror());
-#else
-	    fd, wsastrerror(errno));
-#endif
 	if (ignoreErrno(errno)) {
 	    commSetSelect(fd, COMM_SELECT_READ, httpReadReply, httpState, 0);
 	} else if (entry->mem_obj->inmem_hi == 0) {
@@ -859,11 +850,7 @@
 	cfd = -1;
     else
 	cfd = entry->mem_obj->fd;
-#ifdef _SQUID_MSWIN_
-    assert(-1 == cfd || FD_SOCKET == sd_table[cfd].type);
-#else
     assert(-1 == cfd || FD_SOCKET == fd_table[cfd].type);
-#endif
     if (p != NULL)
 	httpState->flags.proxying = 1;
     /*
Index: squid/src/ident.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/ident.c,v
retrieving revision 1.1.1.3.4.1.2.4
retrieving revision 1.1.1.3.4.1.2.5
diff -u -r1.1.1.3.4.1.2.4 -r1.1.1.3.4.1.2.5
--- squid/src/ident.c	27 Jan 2002 18:38:41 -0000	1.1.1.3.4.1.2.4
+++ squid/src/ident.c	30 Apr 2002 17:21:50 -0000	1.1.1.3.4.1.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ident.c,v 1.1.1.3.4.1.2.4 2002/01/27 18:38:41 serassio Exp $
+ * $Id: ident.c,v 1.1.1.3.4.1.2.5 2002/04/30 17:21:50 serassio Exp $
  *
  * DEBUG: section 30    Ident (RFC 931)
  * AUTHOR: Duane Wessels
@@ -140,11 +140,7 @@
     int len = -1;
     buf[0] = '\0';
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    len = recv(fd, buf, BUFSIZ - 1);
-#else
     len = read(fd, buf, BUFSIZ - 1);
-#endif
     fd_bytes(fd, len, FD_READ);
     if (len <= 0) {
 	comm_close(fd);
Index: squid/src/ipcache.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/ipcache.c,v
retrieving revision 1.1.1.3.4.1.2.2
retrieving revision 1.1.1.3.4.1.2.3
diff -u -r1.1.1.3.4.1.2.2 -r1.1.1.3.4.1.2.3
--- squid/src/ipcache.c	10 Feb 2002 17:55:57 -0000	1.1.1.3.4.1.2.2
+++ squid/src/ipcache.c	30 Apr 2002 17:21:50 -0000	1.1.1.3.4.1.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ipcache.c,v 1.1.1.3.4.1.2.2 2002/02/10 17:55:57 serassio Exp $
+ * $Id: ipcache.c,v 1.1.1.3.4.1.2.3 2002/04/30 17:21:50 serassio Exp $
  *
  * DEBUG: section 14    IP Cache
  * AUTHOR: Harvest Derived
@@ -148,8 +148,6 @@
 static int
 ipcacheExpiredEntry(ipcache_entry * i)
 {
-    if(check_offline())
-	return 0; /* In offline mode, don't expire cached entries */
     if (i->status == IP_PENDING)
 	return 0;
     if (i->status == IP_DISPATCHED)
@@ -209,9 +207,8 @@
     int k;
     safe_free(i->addrs.in_addrs);
     safe_free(i->addrs.bad_mask);
-    if(hp->h_addr_list)
-	while ((addr_count < 255) && *(hp->h_addr_list + addr_count))
-	    ++addr_count;
+    while ((addr_count < 255) && *(hp->h_addr_list + addr_count))
+	++addr_count;
     i->addrs.count = (unsigned char) addr_count;
     i->addrs.in_addrs = xcalloc(addr_count, sizeof(struct in_addr));
     i->addrs.bad_mask = xcalloc(addr_count, sizeof(unsigned char));
@@ -235,10 +232,7 @@
     if (hp)
 	ipcacheAddHostent(i, hp);
     i->status = status;
-    if(check_offline())
-	i->lastref = 0; /* Expires instantly when we go online */
-    else
-	i->lastref = squid_curtime;
+    i->lastref = squid_curtime;
     return i;
 }
 
@@ -466,17 +460,6 @@
     }
     if (i == NULL) {
 	/* MISS: No entry, create the new one */
-	if(check_offline())
-	{
-	    struct hostent he={ (char *)name,NULL,0,0,NULL};
-	    /* Not permitted to look it up in offline mode */
-	    debug(14, 5) ("ipcache_nbgethostbyname: OFFLINE! Will not look it up\n");
-	    /* Fake it */
-	    i = ipcacheAddNew(name, &he, IP_CACHED);
-	    ipcacheAddPending(i, handler, handlerData);
-	    ipcache_call_pending(i);
-	    return;
-	}
 	debug(14, 5) ("ipcache_nbgethostbyname: MISS for '%s'\n", name);
 	IpcacheStats.misses++;
 	i = ipcacheAddNew(name, NULL, IP_PENDING);
Index: squid/src/main.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/main.c,v
retrieving revision 1.1.1.3.4.2.2.14
retrieving revision 1.1.1.3.4.2.2.15
diff -u -r1.1.1.3.4.2.2.14 -r1.1.1.3.4.2.2.15
--- squid/src/main.c	6 Apr 2002 17:37:39 -0000	1.1.1.3.4.2.2.14
+++ squid/src/main.c	30 Apr 2002 17:21:50 -0000	1.1.1.3.4.2.2.15
@@ -1,6 +1,6 @@
 
 /*
- * $Id: main.c,v 1.1.1.3.4.2.2.14 2002/04/06 17:37:39 serassio Exp $
+ * $Id: main.c,v 1.1.1.3.4.2.2.15 2002/04/30 17:21:50 serassio Exp $
  *
  * DEBUG: section 1     Startup and Main Loop
  * AUTHOR: Harvest Derived
@@ -804,11 +804,7 @@
     comm_init();
     comm_select_init();
 
-#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
-    if ((WIN32_run_mode == _WIN_SQUID_RUN_MODE_INTERACTIVE) && (opt_no_daemon)) {
-#else
     if (opt_no_daemon) {
-#endif
 	/* we have to init fdstat here. */
 	fd_open(0, FD_LOG, "stdin");
 	fd_open(1, FD_LOG, "stdout");
@@ -1076,11 +1072,7 @@
     errorClean();
 #endif
 #if !XMALLOC_TRACE
-#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
-    if ((WIN32_run_mode == _WIN_SQUID_RUN_MODE_INTERACTIVE) && (opt_no_daemon)) {
-#else
     if (opt_no_daemon) {
-#endif
 	file_close(0);
 	file_close(1);
 	file_close(2);
Index: squid/src/pconn.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/pconn.c,v
retrieving revision 1.1.1.2.4.1.2.1
retrieving revision 1.1.1.2.4.1.2.2
diff -u -r1.1.1.2.4.1.2.1 -r1.1.1.2.4.1.2.2
--- squid/src/pconn.c	6 Jan 2001 12:40:15 -0000	1.1.1.2.4.1.2.1
+++ squid/src/pconn.c	30 Apr 2002 17:21:50 -0000	1.1.1.2.4.1.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: pconn.c,v 1.1.1.2.4.1.2.1 2001/01/06 12:40:15 hno Exp $
+ * $Id: pconn.c,v 1.1.1.2.4.1.2.2 2002/04/30 17:21:50 serassio Exp $
  *
  * DEBUG: section 48    Persistent Connections
  * AUTHOR: Duane Wessels
@@ -120,11 +120,7 @@
     int n;
     assert(table != NULL);
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    n = recv(fd, buf, 256);
-#else
     n = read(fd, buf, 256);
-#endif
     debug(48, 3) ("pconnRead: %d bytes from FD %d, %s\n", n, fd, p->key);
     pconnRemoveFD(p, fd);
     comm_close(fd);
Index: squid/src/protos.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/protos.h,v
retrieving revision 1.1.1.3.4.1.2.12
retrieving revision 1.1.1.3.4.1.2.13
diff -u -r1.1.1.3.4.1.2.12 -r1.1.1.3.4.1.2.13
--- squid/src/protos.h	23 Feb 2002 21:41:03 -0000	1.1.1.3.4.1.2.12
+++ squid/src/protos.h	30 Apr 2002 17:21:50 -0000	1.1.1.3.4.1.2.13
@@ -1,6 +1,6 @@
 
 /*
- * $Id: protos.h,v 1.1.1.3.4.1.2.12 2002/02/23 21:41:03 serassio Exp $
+ * $Id: protos.h,v 1.1.1.3.4.1.2.13 2002/04/30 17:21:50 serassio Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -167,9 +167,6 @@
 extern void commCallCloseHandlers(int fd);
 extern int commSetTimeout(int fd, int, PF *, void *);
 extern void commSetDefer(int fd, DEFER * func, void *);
-#ifdef _SQUID_MSWIN_
-extern int WSAignoreErrno(int);
-#endif
 extern int ignoreErrno(int);
 extern void commCloseAllSockets(void);
 
@@ -183,10 +180,6 @@
 #else
 extern int comm_select(int);
 #endif
-#ifdef _SQUID_MSWIN_
-extern void commUpdateReadBitsS(int, PF *);
-extern void commUpdateWriteBitsS(int, PF *);
-#endif
 extern void commUpdateReadBits(int, PF *);
 extern void commUpdateWriteBits(int, PF *);
 
@@ -1112,8 +1105,6 @@
 extern int stringHasCntl(const char *);
 extern void linklistPush(link_list **, void *);
 extern void *linklistShift(link_list **);
-extern int check_offline(void);
-
 #if USE_HTCP
 extern void htcpInit(void);
 extern void htcpQuery(StoreEntry * e, request_t * req, peer * p);
Index: squid/src/pump.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/pump.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.2
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.2
--- squid/src/pump.c	6 Jan 2001 12:40:15 -0000	1.1.1.3.4.1.2.1
+++ squid/src/pump.c	30 Apr 2002 17:21:50 -0000	1.1.1.3.4.1.2.2
@@ -1,5 +1,5 @@
 /*
- * $Id: pump.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:15 hno Exp $
+ * $Id: pump.c,v 1.1.1.3.4.1.2.2 2002/04/30 17:21:50 serassio Exp $
  *
  * DEBUG: section 61    PUMP handler
  * AUTHOR: Kostas Anagnostakis
@@ -241,11 +241,7 @@
     int len = 0;
     errno = 0;
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    len = recv(fd, buf, bytes_to_read);
-#else
     len = read(fd, buf, bytes_to_read);
-#endif
     fd_bytes(fd, len, FD_READ);
     debug(61, 5) ("pumpReadFromClient: FD %d: len %d.\n", fd, len);
     if (len > 0) {
Index: squid/src/refresh.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/refresh.c,v
retrieving revision 1.1.1.3.4.1.2.3
retrieving revision 1.1.1.3.4.1.2.4
diff -u -r1.1.1.3.4.1.2.3 -r1.1.1.3.4.1.2.4
--- squid/src/refresh.c	10 Feb 2002 17:55:57 -0000	1.1.1.3.4.1.2.3
+++ squid/src/refresh.c	30 Apr 2002 17:21:50 -0000	1.1.1.3.4.1.2.4
@@ -1,7 +1,7 @@
 
 
 /*
- * $Id: refresh.c,v 1.1.1.3.4.1.2.3 2002/02/10 17:55:57 serassio Exp $
+ * $Id: refresh.c,v 1.1.1.3.4.1.2.4 2002/04/30 17:21:50 serassio Exp $
  *
  * DEBUG: section 22    Refresh Calculation
  * AUTHOR: Harvest Derived
@@ -289,8 +289,6 @@
 int
 refreshCheckHTTP(const StoreEntry * entry, request_t * request)
 {
-    if(check_offline())
-	return 0;	/* If we're offline, we're always fresh */
     return refreshCheck(entry, request, 0, &refreshCounts[rcHTTP]);
 }
 
Index: squid/src/ssl.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/ssl.c,v
retrieving revision 1.1.1.3.4.1.2.4
retrieving revision 1.1.1.3.4.1.2.5
diff -u -r1.1.1.3.4.1.2.4 -r1.1.1.3.4.1.2.5
--- squid/src/ssl.c	27 Jan 2002 18:38:41 -0000	1.1.1.3.4.1.2.4
+++ squid/src/ssl.c	30 Apr 2002 17:21:50 -0000	1.1.1.3.4.1.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ssl.c,v 1.1.1.3.4.1.2.4 2002/01/27 18:38:41 serassio Exp $
+ * $Id: ssl.c,v 1.1.1.3.4.1.2.5 2002/04/30 17:21:50 serassio Exp $
  *
  * DEBUG: section 26    Secure Sockets Layer Proxy
  * AUTHOR: Duane Wessels
@@ -199,11 +199,7 @@
     read_sz = delayBytesWanted(sslState->delay_id, 1, read_sz);
 #endif
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    len = recv(fd, sslState->server.buf + sslState->server.len, read_sz);
-#else
     len = read(fd, sslState->server.buf + sslState->server.len, read_sz);
-#endif
     debug(26, 3) ("sslReadServer: FD %d, read   %d bytes\n", fd, len);
     if (len > 0) {
 	fd_bytes(fd, len, FD_READ);
@@ -239,13 +235,9 @@
 	fd, SQUID_TCP_SO_RCVBUF - sslState->client.len,
 	sslState->client.len);
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    len = recv(fd, sslState->client.buf + sslState->client.len, SQUID_TCP_SO_RCVBUF - sslState->client.len);
-#else
     len = read(fd,
 	sslState->client.buf + sslState->client.len,
 	SQUID_TCP_SO_RCVBUF - sslState->client.len);
-#endif
     debug(26, 3) ("sslReadClient: FD %d, read   %d bytes\n", fd, len);
     if (len > 0) {
 	fd_bytes(fd, len, FD_READ);
@@ -254,13 +246,8 @@
     }
     cbdataLock(sslState);
     if (len < 0) {
-#ifdef _SQUID_MSWIN_
-	debug(50, WSAECONNRESET == WSAGetLastError() ? 3 : 1) ("sslReadClient: FD %d: read failure: %s\n",
-	    fd, xstrerror());
-#else
 	debug(50, ECONNRESET == errno ? 3 : 1) ("sslReadClient: FD %d: read failure: %s\n",
 	    fd, xstrerror());
-#endif
 	if (!ignoreErrno(errno))
 	    comm_close(fd);
     } else if (len == 0) {
@@ -281,13 +268,9 @@
     debug(26, 3) ("sslWriteServer: FD %d, %d bytes to write\n",
 	fd, sslState->client.len);
     Counter.syscalls.sock.writes++;
-#ifdef _SQUID_MSWIN_
-    len = send(fd,sslState->client.buf,sslState->client.len);
-#else
     len = write(fd,
 	sslState->client.buf,
 	sslState->client.len);
-#endif
     debug(26, 3) ("sslWriteServer: FD %d, %d bytes written\n", fd, len);
     if (len > 0) {
 	fd_bytes(fd, len, FD_WRITE);
@@ -324,13 +307,9 @@
     debug(26, 3) ("sslWriteClient: FD %d, %d bytes to write\n",
 	fd, sslState->server.len);
     Counter.syscalls.sock.writes++;
-#ifdef _SQUID_MSWIN_
-    len = send(fd, sslState->server.buf, sslState->server.len);
-#else
     len = write(fd, 
 	sslState->server.buf,
 	sslState->server.len);
-#endif
     debug(26, 3) ("sslWriteClient: FD %d, %d bytes written\n", fd, len);
     if (len > 0) {
 	fd_bytes(fd, len, FD_WRITE);
Index: squid/src/stat.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/stat.c,v
retrieving revision 1.1.1.3.4.1.2.7
retrieving revision 1.1.1.3.4.1.2.8
diff -u -r1.1.1.3.4.1.2.7 -r1.1.1.3.4.1.2.8
--- squid/src/stat.c	17 Feb 2002 08:57:57 -0000	1.1.1.3.4.1.2.7
+++ squid/src/stat.c	30 Apr 2002 17:21:51 -0000	1.1.1.3.4.1.2.8
@@ -1,6 +1,6 @@
 
 /*
- * $Id: stat.c,v 1.1.1.3.4.1.2.7 2002/02/17 08:57:57 serassio Exp $
+ * $Id: stat.c,v 1.1.1.3.4.1.2.8 2002/04/30 17:21:51 serassio Exp $
  *
  * DEBUG: section 18    Cache Manager Statistics
  * AUTHOR: Harvest Derived
@@ -391,18 +391,6 @@
 }
 #endif
 
-#ifdef _SQUID_MSWIN_
-static const char *
-sdRemoteAddr(const sde * f)
-{
-    LOCAL_ARRAY(char, buf, 32);
-    if (f->type != FD_SOCKET)
-	return null_string;
-    snprintf(buf, 32, "%s.%d", f->ipaddr, (int) f->remote_port);
-    return buf;
-}
-#endif
-
 static const char *
 fdRemoteAddr(const fde * f)
 {
@@ -418,9 +406,6 @@
 {
     int i;
     fde *f;
-#ifdef _SQUID_MSWIN_
-    sde *s;
-#endif
     storeAppendPrintf(sentry, "Active file descriptors:\n");
     storeAppendPrintf(sentry, "%-4s %-6s %-4s %-7s* %-7s* %-21s %s\n",
 	"File",
@@ -446,23 +431,6 @@
 	    fdRemoteAddr(f),
 	    f->desc);
     }
-#ifdef _SQUID_MSWIN_
-    for (i = 0; i < Squid_MaxFD; i++) {
-	s = &sd_table[i];
-	if (!s->flags.open)
-	    continue;
-	storeAppendPrintf(sentry, "%4d %-6.6s %4d %7d%c %7d%c %-21s %s\n",
-	    i,
-	    fdTypeStr[s->type],
-	    s->timeout_handler ? (int) (s->timeout - squid_curtime) / 60 : 0,
-	    s->bytes_read,
-	    s->read_handler ? '*' : ' ',
-	    s->bytes_written,
-	    s->write_handler ? '*' : ' ',
-	    sdRemoteAddr(s),
-	    s->desc);
-    }
-#endif
 }
 
 static void
@@ -643,15 +611,6 @@
 	RESERVED_FD);
     storeAppendPrintf(sentry, "\tStore Disk files open:                %4d\n",
 	store_open_disk_fd);
-#ifdef _SQUID_MSWIN_
-    storeAppendPrintf(sentry, "Socket descriptor usage for %s:\n", appname);
-    storeAppendPrintf(sentry, "\tMaximum number of socket descriptors:   %4d\n",
-	Squid_MaxFD);
-    storeAppendPrintf(sentry, "\tLargest socket desc currently in use:   %4d\n",
-	Biggest_SD);
-    storeAppendPrintf(sentry, "\tNumber of socket desc currently in use: %4d\n",
-	Number_SD);
-#endif
     storeAppendPrintf(sentry, "Internal Data Structures:\n");
     storeAppendPrintf(sentry, "\t%6d StoreEntries\n",
 	memInUse(MEM_STOREENTRY));
